Rated 1 out of 5 stars

I cannot add WikiBuddy to Firefox 15.0.1. Why is it listed as available for Firefox 15.0.1 yet seemingly not compatible with this Firefox version? Has the extension, in actuality, not been updated for Firefox 15.0.1? I have come across several search engines that I have been unable to load, with which I have run into the same problem!!!

Rated 5 out of 5 stars

Really great!

Makes searching the Wiki's easier... Rated 5 out of 5 stars

Really well put together site.